package com.persagy.server.services.task

import com.persagy.mybatis.SMybatisDao
import com.persagy.server.datacenter.models.entities.task.ScanSchemeInfo
import com.persagy.server.services.base.RService
import org.slf4j.LoggerFactory
import java.util.*

/**
 * 任务方案信息点
 *
 * @author  邓婷婷
 */
object ScanSchemeInfoService : RService<ScanSchemeInfo>(SMybatisDao(ScanSchemeInfo::class.java))  {

    // 日志
    private val logger = LoggerFactory.getLogger(ScanSchemeInfoService::class.java)

    /**
     * 创建之前操作
     */
    override fun onCreateBefore(scanSchemeInfo: ScanSchemeInfo): Boolean {
        if (scanSchemeInfo.id.isNullOrEmpty()) {
            scanSchemeInfo.id = UUID.randomUUID().toString()
        }
        return true
    }
} // Class ScanSchemeService